Lua_FuncPreviewTipsWindow = class("Lua_FuncPreviewTipsWindow", Lua_Window)
function Lua_FuncPreviewTipsWindow:ctor()
	self:superCall("ctor")

	self.windowName = "Lua_FuncPreviewTipsWindow"
	self.skinName = "FuncPreviewTipsWindow_skin"
	self.showBlackMask = true
	self.isClickClose = true
end

function Lua_FuncPreviewTipsWindow:buildShowItem()
	self:superCall("buildShowItem")
end

function Lua_FuncPreviewTipsWindow:dispose()
	self:superCall("dispose")
	DataCenter.funcOpenData:checkPopupPreview() -- 先superCall移除界面数据，后检查下一个弹窗
end

function Lua_FuncPreviewTipsWindow:hide()
	Lua_ProxyManager.getProxy("Lua_MainViewProxy"):sFuncOpenTipsClose(self.showData)
	self:superCall("hide")
end

function Lua_FuncPreviewTipsWindow:showWin(param)
	self:superCall("showWin", param)
	local vo = DataCenter.funcOpenUtil:getFuncOpenVoById(param)
	self.funcTitle:setAltas("func_preview_atlas", vo.tips_title)
	self.funcTitle:resetSize()
	self.promptText.text = vo.tips_des
end